Bug 225797 - security/vuxml: Document vulnerability in LibreOffice (CVE-2018-6871 / CVE-2018-1055)
Summary: security/vuxml: Document vulnerability in LibreOffice (CVE-2018-6871 / CVE-20...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Ports Security Team
URL: https://www.libreoffice.org/about-us/...
Keywords: patch, security
Depends on:
Blocks:
 
Reported: 2018-02-09 23:46 UTC by VK
Modified: 2018-02-24 00:53 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (ports-secteam)


Attachments
Document CVE-2018-6871 (2.64 KB, patch)
2018-02-09 23:46 UTC, VK
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description VK freebsd_triage 2018-02-09 23:46:25 UTC
Created attachment 190471 [details]
Document CVE-2018-6871

"LibreOffice Calc supports a WEBSERVICE function to obtain data by URL. Vulnerable versions of LibreOffice allow WEBSERVICE to take a local file URL (e.g file://) which can be used to inject local files into the spreadsheet without warning the user. Subsequent formulas can operate on that inserted data and construct a remote URL whose path leaks the local data to a remote attacker."

"In later versions of LibreOffice without this flaw, WEBSERVICE has now been limited to accessing http and https URLs along with bringing WEBSERVICE URLs under LibreOffice Calc's link management infrastructure."

* CVE-2018-6871

* Summary:
  https://www.libreoffice.org/about-us/security/advisories/cve-2018-1055/

* NOTE:

  This vulnerability has been identified upstream as CVE-2018-1055,
  but NVD/Mitre are advising it's a reservation duplicate of
  CVE-2018-6871 which should be used instead.

  https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-6871
Comment 1 commit-hook freebsd_committer 2018-02-23 22:01:08 UTC
A commit references this bug:

Author: dbaio
Date: Fri Feb 23 22:00:39 UTC 2018
New revision: 462748
URL: https://svnweb.freebsd.org/changeset/ports/462748

Log:
  security/vuxml: Document vulnerability in editors/libreoffice

  Security:	CVE-2018-6871

  PR:		225797
  Submitted by:	Vladimir Krstulja <vlad-fbsd@acheronmedia.com>

Changes:
  head/security/vuxml/vuln.xml
Comment 2 Danilo G. Baio freebsd_committer 2018-02-23 22:04:20 UTC
Committed, I removed all language packs because they depend of libreoffice.
Thanks!
Comment 3 VK freebsd_triage 2018-02-24 00:26:08 UTC
(In reply to Danilo G. Baio from comment #2)

Thanks. Are you sure that's correct? I did not list language packs (editors/libreoffice-<lang>), that are separate packages that DO pull in libreoffice; but individual language based slave ports. Those do not pull in libreoffice, those ARE libreoffice, in specific langs with PGNAMEPREFIX.
Comment 4 Jung-uk Kim freebsd_committer 2018-02-24 00:53:24 UTC
(In reply to Vladimir Krstulja from comment #3)
Yes, <language>/libreoffice ports are also language packs.